body {

    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    font-size: 100%;
    margin:0px;
    --primaerfarbe: #8C3A50;
    --sekundaerfarbe: #D9BEA7;
    --tertiaerfarbe: white;
    --textfarbe: black;
    color: var(--textfarbe);
    background-color: var(--tertiaerfarbe);
}

p {
    text-align: justify;
}

a {
    color: var(--textfarbe);
    text-decoration: none;
}

a:hover {
    color: var(--primaerfarbe);
    text-decoration: underline;
}


.banner{
    text-shadow: var(--sekundaerfarbe) 4px 4px 4px;
    color: var(--tertiaerfarbe);
    background-image: url(../images/c7.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    border-radius: 0.5em;
    text-align: center;
    border: 2px solid var(--sekundaerfarbe);
    margin:1em;
    padding: 20px 0px;
}

.mainheader h1 {
    color:  var(--primaerfarbe);
    font-size: 3em;
    text-shadow: 2px 2px 2px black;
    background-color: #ffebcd66;
    padding: 0.5em 0px;
}

.mainnav {
    color: red;
    background-color: var(--sekundaerfarbe);
    border-radius: 0.5em;
    padding: 1em;
    text-align: center;
    margin: 1em;
    position: sticky;
    top: 0em;
}

.mainnav a{
    font-size: 1.5em;
    margin: auto 1em;
    color:  var(--primaerfarbe);
}

.mainnav a:hover {
    color:  var(--primaerfarbe);
    text-decoration: underline;
}


.loginblock, form
{
    display: inline;
    justify-content: center;
}

.loginblock input
{
    margin: 0.5em;
    padding: 0.5em;
    border-radius: 0.5em;
    font-size: 1em;
    border: 1px solid var(--sekundaerfarbe);
    background-color: var(--primaerfarbe);
}

/*Animation für Menüpunkte*/
.mainnav a {
    transition: color 1s;
}

.mainnav a:hover {
    color: black;
}

main {
    margin: 2em;
}

.galleryimg {
    width: 20%;
    min-width: 200px;
    border: 1px solid var(--sekundaerfarbe);
    border-radius: 1em;
    padding: 1em;
    float: left;
    margin: 1em;
    background-color:  var(--primaerfarbe);
}

.secret {
    clear: both;
    margin: 1em;
}

.secret img {
    width: 25%;
    border-radius: 1em;
    float: left;
    margin: auto 2em;
}

/* .galleryimg p {
    position: relative;
    top: 80px;
    background-color: aliceblue;
    padding: 1em;
    opacity: 0.5;
    color: black;
    font-weight: bold;
    text-align: left;
} */

.galleryimg:hover {
    transform: scale(1.05);
}

#skills {
    clear: both;
    float: none;    
    background-color:  var(--primaerfarbe);
    padding: 1em;
    border-radius: 1em;
    margin-bottom: 1em;
}

#contact {
    background-color:  var(--primaerfarbe); 
    padding: 1em;
    border-radius: 1em;
}

.contactform input, textarea{
    display: block;
    margin-bottom: 1em;
    border-radius: 0.2em;
    padding: 1em;
    width: 50%;
}

.contactform button {
    padding: 1em;
    border-radius: 0.2em;
    background-color: var(--sekundaerfarbe);
    color:  var(--primaerfarbe);
    border: none;
    cursor: pointer;
    margin-top: 1em;
}

footer {
    background-color: var(--sekundaerfarbe);
    color:  var(--primaerfarbe);
    text-align: center;
    padding: 1em;
    border-radius: 1em;
    margin: 1em;
    clear: both;
}

aside {
    position: sticky;
    bottom: 2em;
    left: 2em;
    background-color: var(--primaerfarbe);
    background-blend-mode: multiply;
    float: left;
    padding: 1em;
    border-radius: 1em;
}

aside a {
    text-decoration: underline;
}

aside a:hover {
    color: var(--sekundaerfarbe);
}


